/*
 * Alert 팝업
 */
.common__alert {
  display: none;
}
.common__alert.is-active {
  display: block;
}
.alert-bg {
  box-sizing: border-box;
  display: table;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 999;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.3);
  display: none;
}
.common__alert.is-active {
  display: block;
}

/*
 * 토스트 알림창
 */
.toast__alert {
  display: none;
  position: relative;
  z-index: 900;
}
.toast__alert .inner {
  position: fixed;
  top: 10px;
  left: 50%;
  width: 85%;
  display: flex;
  justify-content: center;
  text-align: center;
  gap: 6px;
  font-size: 14px;
  font-weight: 400;
  line-height: 160%;
  color: var(--Grey-color-100, #f5f5f5);
  border-radius: 12px;
  background: rgba(64, 64, 64, 0.7);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  transform: translateX(-50.5%);
  z-index: 900;
  box-sizing: border-box;
  padding: 9px 22px;
}

.toast__alert .icon {
  display: block;
  width: 20px;
  height: 20px;
  flex-shrink: 0;
}

.common__alert .popup__cta {
  padding: 0 20px;
  height: 48px;
  border-radius: 8px;
  background: #fff;
}
.common__alert .popup__cta.is-action-right {
  background: #4dae6d;
  color: #fff;
}

/*
 * pop 팝업
 */
.common__pop {
  display: none;
}
.common__pop.is-active {
  display: block;
}
.alert-bg {
  box-sizing: border-box;
  display: table;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 999;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.3);
  display: none;
}
.common__pop.is-active {
  display: block;
}

.common__pop .popup__cta {
  padding: 0 20px;
  height: 48px;
  border-radius: 8px;
  background: #fff;
}
.common__pop .popup__cta.is-action-right {
  background: #4dae6d;
  color: #fff;
}

.popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  z-index: 999999;
}

.popup__wrapper {
  position: absolute;
  top: 50%;
  left: 50%;
  display: flex;
  padding: 27px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 60px;
  width: 344px;
  border-radius: 20px;
  transform: translate(-50.5%, -50.5%);
  background: #fff;
  background-blend-mode: overlay, normal;
  backdrop-filter: blur(15px);
}

.popup__title {
  font-size: 16px;
  font-weight: 400;
  line-height: 130%;
  color: #000;
  text-align: center;
}

.popup__content {
  display: flex;
  flex-direction: column;
  gap: 4px;
  font-size: 14px;
  font-weight: 400;
  line-height: 160%;
  color: #000;
}

.popup__tip {
  padding: 0 0 8px;
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.popup__tip li {
  display: flex;
}

.popup__tip li:before {
  position: relative;
  content: "";
  display: block;
  top: 3px;
  width: 3px;
  height: 3px;
  border-radius: 50%;
  margin: 0 7px;
  background: var(--white, #fff);
  flex-shrink: 0;
}

.popup__text {
  text-align: center;
  word-break: keep-all;
}

.popup__footer {
  display: flex;
  gap: 8px;
  width: 100%;
}

.popup__cta {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 48px;
  flex: 1 0 0;
  font-size: 16px;
  font-weight: 600;
  line-height: 130%;
  color: #000;
}

.popup__cta:last-child {
  border-left: 0;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox  */
input[type="number"] {
  -moz-appearance: textfield;
}
body.dark .popup__wrapper {
  background: #212121;
}
body.dark .popup__content,
body.dark .popup__title {
  color: #f1f1f1;
}
